aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr/scripts/Kitty_themes.sh
diff options
context:
space:
mode:
authorJaKooLit <ejhay.games@gmail.com>2025-03-20 15:33:11 +0900
committerJaKooLit <ejhay.games@gmail.com>2025-03-20 15:33:11 +0900
commitdffd296b92f06b1606f8d03137fbf235a39d261b (patch)
tree6f005ce5c9b37dfc8da07a30529eb7d5163f0f22 /config/hypr/scripts/Kitty_themes.sh
parentb3e8e78ac2ad712c38e5365faeb5bb5471dde692 (diff)
Added Kitty Theme Selector - Added in KooL hyprland Settings rofi. Kool Settings rofi modified since it is basically expanding
Diffstat (limited to 'config/hypr/scripts/Kitty_themes.sh')
-rwxr-xr-xconfig/hypr/scripts/Kitty_themes.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/config/hypr/scripts/Kitty_themes.sh b/config/hypr/scripts/Kitty_themes.sh
new file mode 100755
index 00000000..471b7143
--- /dev/null
+++ b/config/hypr/scripts/Kitty_themes.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ #
+# Kitty Themes Source https://github.com/dexpota/kitty-themes #
+
+# Define directories and variables
+kitty_themes_DiR="$HOME/.config/kitty/kitty-themes" # Kitty Themes Directory
+theme_path="$kitty_themes_DiR/$theme.conf"
+kitty_config="$HOME/.config/kitty/kitty.conf"
+iDIR="$HOME/.config/swaync/images"
+rofi_theme="$HOME/.config/rofi/config-kitty-theme.rasi"
+
+# List the kitty-theme files from the themes directory
+theme=$(ls "$kitty_themes_DiR"/*.conf | xargs -n 1 basename | sed 's/\.conf$//' | rofi -dmenu -config $rofi_theme)
+
+# Check if the user selected a theme
+if [ -z "$theme" ]; then
+ echo "No theme selected, exiting..."
+ exit 1
+fi
+
+# Uncomment the line that includes the kitty themes if it's commented
+if grep -q '#include ./kitty-themes/' "$kitty_config"; then
+ sed -i "s|#include ./kitty-themes/|include ./kitty-themes/$theme.conf|g" "$kitty_config"
+
+ notify-send -u low -i "$iDIR/ja.png" "$theme" "Kitty Theme Loaded"
+
+ for pid_kitty in $(pidof kitty); do
+ kill -SIGUSR1 "$pid_kitty"
+ done
+else
+ # If the line is already uncommented, just add the chosen theme
+ sed -i "s|include ./kitty-themes/.*|include ./kitty-themes/$theme.conf|g" "$kitty_config"
+
+ notify-send -u low -i "$iDIR/ja.png" "$theme" "Kitty Theme Loaded"
+
+ for pid_kitty in $(pidof kitty); do
+ kill -SIGUSR1 "$pid_kitty"
+ done
+fi
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage